#!/usr/bin/perl

use warnings;
use strict;

open MYDATA, "org_list" or die("ERROR: Can't open org_list\n");
    my @orglistlines = <MYDATA>;
close MYDATA;

open MYDATA, "kegg2refseqnew.csv" or die("ERROR: Can't open kegg2refseqnew.csv\n");
    my @kegg2refnewlines = <MYDATA>;
close MYDATA;

my %kegg2orgname = ();

foreach(@orglistlines) {
    my @split = split(/\t/,$_);
    my $keggCode = $split[0];
    chomp $keggCode;
    my $orgName = $split[1];
    chomp $orgName;
    $kegg2orgname{$keggCode} = $orgName;
}

foreach(@kegg2refnewlines) {
    my @split = split(/\t/,$_);
    my $keggCode = $split[0];
    chomp $keggCode;
    my $refSeqs = $split[1];
    chomp $refSeqs;
    my $orgName = $kegg2orgname{$keggCode};
    print "$keggCode\t$refSeqs\t$orgName\n";
}


